<?php
//test rsync
define('PUBLIC_PATH',__DIR__.'/../public/');

//config corollaire ideo2 formfactor
define('DB_HOST','mysql');
define('DB_USER','root');
define('DB_PASSWD','root');
define('DB_DATABASE','ideo3_rules');
define('BDD_PREFIX','ID301_');


//config accès base client
define('DB_SERVER_SITE',DB_HOST);
define('DB_USER_SITE',DB_USER);
define('DB_PASSWORD_SITE',DB_PASSWD);
define('DB_PORT_SITE','3306');
define('DB_NAME_SITE', DB_DATABASE);

//site codebouton
define('CODE_BOUTON', 'CLICKCONTA6IFF');
define('USESSION_NAME', preg_replace('[^a-z0-9]', '_', strtolower(sha1(PUBLIC_PATH))));

//Ambiance
define('AMBIANCE_REF', 'AMBIANCE_GFFNYS36T5_framework2022-eco');
define('AMBIANCE_FOLDER_NAME', '');
define('AMBIANCE_FOLDER_PATH', PUBLIC_PATH . AMBIANCE_FOLDER_NAME . '/');

//Modules
define("IDEO_QUOTE",1);
define("IDEO_FEEDGET",1);

//langues par défaut
define('DEFAULT_LANG','fr_FR');
define('DEFAULT_CONTENT_LANG','fr_FR');

//liste des langues
define('LANGUES', '
      {
         "language_name":"Fran\u00e7ais",
         "language":"fr_FR",
         "currency":"EUR",
           "country":"France",
         "flag":"fr_FR.jpg"
      },
      {
         "language_name":"English",
         "language":"en_FR",
         "currency":"EUR",
         "country":"France",
         "flag":"en_FR.jpg"
      }
');

//paramètre de connexion site
define('CONNEXION_PARAMETER_SITE', '
    {
      "adapter":"ORM",
      "agent":"mysql",
      "options":{
         "type":"entity",
         "host":"'.DB_SERVER_SITE.'",
         "user":"'.DB_USER_SITE.'",
         "password":"'.DB_PASSWORD_SITE.'",
         "dbname":"'.DB_NAME_SITE.'"
      }
    }
');

//paramètre ambiance source
define('AMBIANCE_SETTING', '
    {
        "type":"local",
        "path":"/"
    }
');

//modules
define('MODULES', '
    {
        "name":"PlanAcces",
        "version":"02"
    }
');
